Skip to content
Start here

List fields

client.logs.received.fields.get(FieldGetParams { zone_id } params, RequestOptionsoptions?): FieldGetResponse { key }
GET/zones/{zone_id}/logs/received/fields

Lists all fields available. The response is json object with key-value pairs, where keys are field names, and values are descriptions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs WriteLogs Read
ParametersExpand Collapse
params: FieldGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
FieldGetResponse { key }
key?: string

List fields

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const field = await client.logs.received.fields.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(field.key);
{
  "key": "value"
}
Returns Examples
{
  "key": "value"
}